# $Revision: 1.19 $, $Date: 2006/07/27 16:14:52 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	Librarian
Summary:	DBIx::Librarian - manage SQL in repository outside code
Summary(pl):	DBIx::Librarian - zarzdzanie SQL w repozytorium poza kodem
Name:		perl-DBIx-Librarian
Version:	0.6
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8da6b1d5a28ec8bbbd32c89bff942a5d
URL:		http://search.cpan.org/dist/DBIx-Librarian/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Virtual
BuildRequires:	perl-DBI
BuildRequires:	perl-Data-Library
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is for data manipulation (SELECT, INSERT, UPDATE, DELETE), not
for data definition (CREATE, DROP, ALTER). Some DDL statements may
work inside this module, but correct behavior is not guaranteed.

%description -l pl
Ten modu suy do operacji na danych (SELECT, INSERT, UPDATE,
DELETE), ale nie do definiowania danych (CREATE, DROP, ALTER).
Niektre wyraenia DDL mog dziaa wewntrz tego moduu, ale
prawidowe zachowanie nie jest gwarantowane.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-Librarian.spec,v $
Revision 1.19  2006/07/27 16:14:52  glen
- BR perl-Class-Virtual for tests, rel 2

Revision 1.18  2006/07/27 15:22:21  glen
- 0.6, generic URL

Revision 1.17  2004/11/03 22:30:16  paladine
- formatting

Revision 1.16  2004/08/26 21:41:02  radek
- typo

Revision 1.15  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.14  2004/04/25 13:03:11  ankry
- tests added

Revision 1.13  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.12  2004/04/14 14:47:11  ankry
- cosmetics

Revision 1.11  2003/09/15 09:41:58  adamg
- updated to 0.4

Revision 1.10  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:30:54  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/18 13:54:20  qboosh
- pl description, release ++

Revision 1.1  2002/08/09 00:35:56  radek
- new, STBR
